## ros-iron-rmw-fastrtps-shared-cpp 7.1.1

=== debian/changelog ===
ros-iron-rmw-fastrtps-shared-cpp (7.1.1-2jammy) jammy; urgency=high

  * Fix matched event issues (#683 <https://github.com/ros2/rmw_fastrtps/issues/683>)
  * Contributors: Miguel Company

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-rmw-fastrtps-shared-cpp (7.1.0-2jammy) jammy; urgency=high

  * Dynamic Subscription (BONUS: Allocators): rmw_fastrtps (#687 <https://github.com/ros2/rmw_fastrtps/issues/687>)
  * Check for triggered guard conditions before waiting (#685 <https://github.com/ros2/rmw_fastrtps/issues/685>)
  * Runtime Interface Reflection: rmw_fastrtps (#655 <https://github.com/ros2/rmw_fastrtps/issues/655>)
  * [rmw_fastrtps] Improve handling of dynamic discovery (#653 <https://github.com/ros2/rmw_fastrtps/issues/653>)
  * Type hash distribution in discovery (rep2011) (#671 <https://github.com/ros2/rmw_fastrtps/issues/671>)
  * Implement matched event (#645 <https://github.com/ros2/rmw_fastrtps/issues/645>)
  * Implement inconsistent topic event (#654 <https://github.com/ros2/rmw_fastrtps/issues/654>)
  * Update all rmw_fastrtps packages to C++17. (#674 <https://github.com/ros2/rmw_fastrtps/issues/674>)
  * Contributors: Barry Xu, Chris Lalancette, Emerson Knapp, Geoffrey Biggs, Michael Carroll, methylDragon

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-rmw-fastrtps-shared-cpp (7.0.0-2jammy) jammy; urgency=high

  * Rewrite how Topics are tracked in rmw_fastrtps_cpp. (#669 <https://github.com/ros2/rmw_fastrtps/issues/669>)
  * Delay lock on message callback setters (#657 <https://github.com/ros2/rmw_fastrtps/issues/657>)
  * Make sure to add semicolons to the CHECK_TYPE_IDENTIFIER_MATCH. (#658 <https://github.com/ros2/rmw_fastrtps/issues/658>)
  * Allow loaned messages without data-sharing (#568 <https://github.com/ros2/rmw_fastrtps/issues/568>)
  * Fix incoherent dissociate_writer to dissociate_reader (#647 <https://github.com/ros2/rmw_fastrtps/issues/647>) (#649 <https://github.com/ros2/rmw_fastrtps/issues/649>)
  * [rolling] Update maintainers - 2022-11-07 (#643 <https://github.com/ros2/rmw_fastrtps/issues/643>)
  * Contributors: Audrow Nash, Chris Lalancette, Miguel Company, Oscarchoi

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-rmw-fastrtps-shared-cpp (6.5.0-2jammy) jammy; urgency=high

  * Remove duplicated code (#637 <https://github.com/ros2/rmw_fastrtps/issues/637>)
  * Call callbacks only if unread count > 0 (#634 <https://github.com/ros2/rmw_fastrtps/issues/634>)
  * Add rmw_get_gid_for_client impl (#631 <https://github.com/ros2/rmw_fastrtps/issues/631>)
  * Contributors: Barry Xu, Brian, mauropasse

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-rmw-fastrtps-shared-cpp (6.4.0-2jammy) jammy; urgency=high

  * Use Fast-DDS Waitsets instead of listeners (#619 <https://github.com/ros2/rmw_fastrtps/issues/619>)
  * Take all available samples on service/client on_data_available. (#616 <https://github.com/ros2/rmw_fastrtps/issues/616>)
  * Revert "add line feed for RCUTILS_SAFE_FWRITE_TO_STDERR (#608 <https://github.com/ros2/rmw_fastrtps/issues/608>)" (#612 <https://github.com/ros2/rmw_fastrtps/issues/612>)
  * add line feed for RCUTILS_SAFE_FWRITE_TO_STDERR (#608 <https://github.com/ros2/rmw_fastrtps/issues/608>)
  * Contributors: Miguel Company, Ricardo González, Tomoya Fujita

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-rmw-fastrtps-shared-cpp (6.3.0-2jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 02 May 2022 16:00:00 -0000

ros-iron-rmw-fastrtps-shared-cpp (6.2.1-2jammy) jammy; urgency=high

  * Address linter waning for windows. (#592 <https://github.com/ros2/rmw_fastrtps/issues/592>)
  * Add pub/sub init, publish and take instrumentation using tracetools (#591 <https://github.com/ros2/rmw_fastrtps/issues/591>)
  * Add content filter topic feature (#513 <https://github.com/ros2/rmw_fastrtps/issues/513>)
  * Add sequence numbers to message info structure (#587 <https://github.com/ros2/rmw_fastrtps/issues/587>)
  * Contributors: Chen Lihui, Christophe Bedard, Ivan Santiago Paunovic, Tomoya Fujita

 -- Geoffrey Biggs <geoff@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-iron-rmw-fastrtps-shared-cpp (6.2.0-2jammy) jammy; urgency=high

  * Add EventsExecutor (#468 <https://github.com/ros2/rmw_fastrtps/issues/468>)
  * Complete events support (#583 <https://github.com/ros2/rmw_fastrtps/issues/583>)
  * Install headers to include/${PROJECT_NAME} (#578 <https://github.com/ros2/rmw_fastrtps/issues/578>)
  * Change default to synchronous (#571 <https://github.com/ros2/rmw_fastrtps/issues/571>)
  * Contributors: Audrow Nash, Miguel Company, Shane Loretz, iRobot ROS

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-rmw-fastrtps-shared-cpp (6.1.2-2jammy) jammy; urgency=high

  * Fix cpplint error (#574 <https://github.com/ros2/rmw_fastrtps/issues/574>)
  * Contributors: Jacob Perron

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-rmw-fastrtps-shared-cpp (6.1.1-2jammy) jammy; urgency=high

  * Fixes for uncrustify 0.72 (#572 <https://github.com/ros2/rmw_fastrtps/issues/572>)
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-iron-rmw-fastrtps-shared-cpp (6.1.0-2jammy) jammy; urgency=high

  * Add client/service QoS getters. (#560 <https://github.com/ros2/rmw_fastrtps/issues/560>)
  * Fix QoS depth settings for clients/service being ignored. (#564 <https://github.com/ros2/rmw_fastrtps/issues/564>)
  * Contributors: Chen Lihui, mauropasse

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 18 Nov 2021 16:00:00 -0000

ros-iron-rmw-fastrtps-shared-cpp (6.0.0-2jammy) jammy; urgency=high

  * Update rmw_context_impl_t definition. (#558 <https://github.com/ros2/rmw_fastrtps/issues/558>)

